package com.xhpc.common.data.up;

//充电桩与 BMS 充电握手阶段报文
public class ChargingHandshakeData extends BaseData {

    private String orderNo; //交易流水号
    private String pileNo; //桩号
    private String gunId; //枪号
    private String bmsProtocolVersion; //BMS协议版本
    private String bmsBatteryType; //BMS电池类型
    private String bmsBatteryNominalTotalCapacity; //BMS整车额定容量Ah
    private String bmsBatteryNominalTotalVoltage; //BMS整车额定电压V
    private String bmsBatteryFactory; //BMS电池厂商
    private String bmsBatteryPackSn; //BMS电池组序号
    private String bmsBatteryPackProdYear; //BMS电池组生产年偏移量(+1985年)
    private String bmsBatteryPackProdMonth; //BMS电池组生产月
    private String bmsBatteryPackProdDate; //BMS电池组生产日
    private String bmsBatteryRecycleTime; //BMS电池组充电次数
    private String bmsBatteryOwnership; //BMS电池组产权标识
    private String reserved; //预留位
    private String vin; //vin码
    private String bmsSoftwareVersion; //BMS软件版本号

    public String getOrderNo() {

        return orderNo;
    }

    public void setOrderNo(String orderNo) {

        this.orderNo = orderNo;
    }

    public String getPileNo() {

        return pileNo;
    }

    public void setPileNo(String pileNo) {

        this.pileNo = pileNo;
    }

    public String getGunId() {

        return gunId;
    }

    public void setGunId(String gunId) {

        this.gunId = gunId;
    }

    public String getBmsProtocolVersion() {

        return bmsProtocolVersion;
    }

    public void setBmsProtocolVersion(String bmsProtocolVersion) {

        this.bmsProtocolVersion = bmsProtocolVersion;
    }

    public String getBmsBatteryType() {

        return bmsBatteryType;
    }

    public void setBmsBatteryType(String bmsBatteryType) {

        this.bmsBatteryType = bmsBatteryType;
    }

    public String getBmsBatteryNominalTotalCapacity() {

        return bmsBatteryNominalTotalCapacity;
    }

    public void setBmsBatteryNominalTotalCapacity(String bmsBatteryNominalTotalCapacity) {

        this.bmsBatteryNominalTotalCapacity = bmsBatteryNominalTotalCapacity;
    }

    public String getBmsBatteryNominalTotalVoltage() {

        return bmsBatteryNominalTotalVoltage;
    }

    public void setBmsBatteryNominalTotalVoltage(String bmsBatteryNominalTotalVoltage) {

        this.bmsBatteryNominalTotalVoltage = bmsBatteryNominalTotalVoltage;
    }

    public String getBmsBatteryFactory() {

        return bmsBatteryFactory;
    }

    public void setBmsBatteryFactory(String bmsBatteryFactory) {

        this.bmsBatteryFactory = bmsBatteryFactory;
    }

    public String getBmsBatteryPackSn() {

        return bmsBatteryPackSn;
    }

    public void setBmsBatteryPackSn(String bmsBatteryPackSn) {

        this.bmsBatteryPackSn = bmsBatteryPackSn;
    }

    public String getBmsBatteryPackProdYear() {

        return bmsBatteryPackProdYear;
    }

    public void setBmsBatteryPackProdYear(String bmsBatteryPackProdYear) {

        this.bmsBatteryPackProdYear = bmsBatteryPackProdYear;
    }

    public String getBmsBatteryPackProdMonth() {

        return bmsBatteryPackProdMonth;
    }

    public void setBmsBatteryPackProdMonth(String bmsBatteryPackProdMonth) {

        this.bmsBatteryPackProdMonth = bmsBatteryPackProdMonth;
    }

    public String getBmsBatteryPackProdDate() {

        return bmsBatteryPackProdDate;
    }

    public void setBmsBatteryPackProdDate(String bmsBatteryPackProdDate) {

        this.bmsBatteryPackProdDate = bmsBatteryPackProdDate;
    }

    public String getBmsBatteryRecycleTime() {

        return bmsBatteryRecycleTime;
    }

    public void setBmsBatteryRecycleTime(String bmsBatteryRecycleTime) {

        this.bmsBatteryRecycleTime = bmsBatteryRecycleTime;
    }

    public String getBmsBatteryOwnership() {

        return bmsBatteryOwnership;
    }

    public void setBmsBatteryOwnership(String bmsBatteryOwnership) {

        this.bmsBatteryOwnership = bmsBatteryOwnership;
    }

    public String getReserved() {

        return reserved;
    }

    public void setReserved(String reserved) {

        this.reserved = reserved;
    }

    public String getVin() {

        return vin;
    }

    public void setVin(String vin) {

        this.vin = vin;
    }

    public String getBmsSoftwareVersion() {

        return bmsSoftwareVersion;
    }

    public void setBmsSoftwareVersion(String bmsSoftwareVersion) {

        this.bmsSoftwareVersion = bmsSoftwareVersion;
    }

}
